<?php get_header(); ?>

<div id="contentwrap">
	<?php if (have_posts()) : ?>

        <?php $countposts = 0; while(have_posts()) : the_post(); $countposts++; ?>

			<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
				<h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>


                <?php if($countposts == 1 && (get_option('swt_after_title') == 'Display')) {
                include(TEMPLATEPATH . '/includes/ads_after_title.php');
                } ?>

				<div class="entry">
					<?php the_content('Read More'); ?>
				</div>

                <?php if($countposts == 1 && (get_option('swt_after_post') == 'Display')) {
                  include(TEMPLATEPATH . '/includes/ads_after_post.php');
                } ?>


                <div class="meta">
                 <span class="time"><?php the_time('M d, Y'); ?></span>
                 <span class="comm"><?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></span>
                 <span class="cat">Posted in <?php the_category(', ') ?></span>
                </div>

			</div>

		<?php endwhile; ?>

		<div class="navigation">
        <?php
            include('includes/wp-pagenavi.php');
            if(function_exists('wp_pagenavi')) { wp_pagenavi(); }
        ?>
		</div>

	<?php endif; ?>
</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>
