<?php get_header(); ?>

<div id="contentwrap">

	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>

			<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
				<h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>


                <?php if (get_option('swt_after_titles') == 'Display') {
                include(TEMPLATEPATH . '/includes/ads_after_title.php');
                } ?>

				<div class="entry">
                <?php if (get_option('swt_single') == 'Hide') { ?>
                <?php { echo ''; } ?>
                <?php } else { include(TEMPLATEPATH . '/includes/inpost.php'); } ?>
					<?php the_content(''); ?>
				</div>

                <?php if (get_option('swt_after_posts') == 'Display') {
                  include(TEMPLATEPATH . '/includes/ads_after_post.php');
                } ?>


                <div class="meta">
                 <span class="time"><?php the_time('M d, Y'); ?></span>
                 <span class="comm"><?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></span>
                 <span class="cat">Posted in <?php the_category(', ') ?></span>
                 <?php the_tags(); ?>
                </div>

			</div>

            <?php comments_template('', true); ?>

		<?php endwhile; ?>

	<?php endif; ?>
</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>
