<?php
$themename = "BlogHug Orange Adsense Theme";
$shortname = "swt";
$swt_align = array("alignleft", "alignright");
$options = array (


array( "name" => $themename." Options",
       "type" => "title"),


	array(  "name" => "Adsense in the header",
           "type" => "section"),
    array( "type" => "open"),

	array(  "name" => "Enable/Disable adsense 468x60 on top right side",
            "id" => $shortname."_top_ads",
            "type" => "select",
            "std" => "Display",
            "options" => array("Display", "Hide")),

    array( "name" => "Header adsense code",
			"desc" => "Paste your 468x60 ads code.",
            "id" => $shortname."_top_ads_code",
            "std" => "Paste your 468x165 ads code here.",
            "type" => "textarea"),

   	array(  "name" => "Enable/Disable adsense link unit (728x15) in the menu.",
            "id" => $shortname."_top_links",
            "type" => "select",
            "std" => "Display",
            "options" => array("Display", "Hide")),

	array("name" => "Adsense link unit in the menu",
			"desc" => "Paste your (728x15) link unit code here.",
            "id" => $shortname."_top_links_code",
            "std" => "Paste your link units code here",
            "type" => "textarea"),

    array( "type" => "close"),
	array(  "name" => "Adsense in Sidebar",
           "type" => "section"),
    array( "type" => "open"),

   	array(  "name" => "Enable/Disable 120x600 adsense in the sidebar",
            "id" => $shortname."_sb_ads",
            "type" => "select",
            "std" => "Display",
            "options" => array("Display", "Hide")),

	array("name" => "Sidebar 120x600 ads code",
			"desc" => "Paste your 120x600 ads code here.",
            "id" => $shortname."_120x600_ads_code",
            "std" => "Paste your 120x600 ads code here",
            "type" => "textarea"),

    array( "type" => "close"),

	array(  "name" => "Adsense in Posts on frontpage",
           "type" => "section"),
    array( "type" => "open"),


   	array(  "name" => "Enable/Disable 468x60 adsense after post title.",
            "id" => $shortname."_after_title",
            "type" => "select",
            "std" => "Display",
            "options" => array("Display", "Hide")),

	array("name" => "Post top 468x60 ads code",
			"desc" => "Paste your 468x60 ads code here.",
            "id" => $shortname."_post_title",
            "std" => "Paste your 468x60 ads code here",
            "type" => "textarea"),


   	array(  "name" => "Enable/Disable 468x60 adsense after post.",
            "id" => $shortname."_after_post",
            "type" => "select",
            "std" => "Display",
            "options" => array("Display", "Hide")),

	array("name" => "Post bottom 468x60 ads code",
			"desc" => "Paste your 120x600 ads code here.",
            "id" => $shortname."_post_bottom",
            "std" => "Paste your 468x60 ads code here",
            "type" => "textarea"),


    array( "type" => "close"),


    array( "name" => "Adsense Single Page and Page Settings",
           "type" => "section"),
    array( "type" => "open"),

   	array(  "name" => "Enable/Disable 468x60 adsense after post title on single page and page.",
            "id" => $shortname."_after_titles",
            "type" => "select",
            "std" => "Display",
            "options" => array("Display", "Hide")),

   	array(  "name" => "Enable/Disable 468x60 adsense after post.",
            "id" => $shortname."_after_posts",
            "type" => "select",
            "std" => "Display",
            "options" => array("Display", "Hide")),

   	array(  "name" => "Enable/Disable adsense in post on single page.",
            "id" => $shortname."_single",
            "type" => "select",
            "std" => "Display",
            "options" => array("Display", "Hide")),

	array("name" => "In post 300x250 ads code",
			"desc" => "Paste your 468x60 ads code here.",
            "id" => $shortname."_inpost",
            "std" => "Paste your 300x250 (or bigger) ads code here",
            "type" => "textarea"),

    array(  "name" => "Adsense in content position on single page",
            "desc" => "Choose where you want adsense to show (left or right)",
            "id" => $shortname."_align",
            "type" => "select",
            "std" => "alignleft",
    		"options" => $swt_align),

    array( "type" => "close"),



array( "name" => "Additional Settings",
       "type" => "section"),
array( "type" => "open"),


   	array(  "name" => "Use logo image or text link in the header?",
			"desc" => "Choose whether you'll use the image in the header or plain text link. To replace the logo, check the readme in themes folder! ",
            "id" => $shortname."_logo",
            "type" => "select",
            "std" => "Display",
            "options" => array("Display", "Hide")),


 	array(  "name" => "Menu settings",
            "type" => "heading",
            "desc" => "Here you can exclude some of the links in the menus of theme, if you're not using new wp 3.0 custom menus.",
         ),

	array(  "name" => "Exclude pages",
			"desc" => "You can exclude some of the links in the pages menu (comma separated if more than one!).",
            "id" => $shortname."_pages",
            "std" => "",
            "type" => "text"),

       array("name" => "Custom Google Analytics Tracking Code",
            "desc" => "Enter your tracking code here for Google Analytics",
            "id" => $shortname."_custom_analytics_code",
            "type" => "textarea",
            "std" => "")
);

function mytheme_add_admin() {

global $themename, $shortname, $options;

if ( $_GET['page'] == basename(__FILE__) ) {

	if ( 'save' == $_REQUEST['action'] ) {

		foreach ($options as $value) {
		update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

foreach ($options as $value) {
	if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

	header("Location: admin.php?page=themeoptions.php&saved=true");
die;

}
else if( 'reset' == $_REQUEST['action'] ) {

	foreach ($options as $value) {
		delete_option( $value['id'] ); }

	header("Location: admin.php?page=themeoptions.php&reset=true");
die;

}
}

      add_theme_page($themename." Options", "$themename Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}

function mytheme_add_init() {

$file_dir=get_bloginfo('template_directory');
wp_enqueue_style("functions", $file_dir."/includes/admin/functions.css", false, "1.0", "all");
wp_enqueue_script("rm_script", $file_dir."/includes/admin/rm_script.js", false, "1.0");

}
function mytheme_admin() {

global $themename, $shortname, $options;
$i=0;

if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';

?>
<div class="wrap rm_wrap">
<h2><?php echo $themename; ?> Settings</h2>

<div class="rm_opts">
<form method="post">
<?php foreach ($options as $value) {
switch ( $value['type'] ) {

case "open":
?>

<?php break;

case "close":
?>

</div>
</div>
<br />


<?php break;

case "title":
?>
<p>To easily use the this theme, you can use the menus below. <b>Check the README.TXT for instructions!</b></p>


<?php break;

case 'text':
?>

<div class="rm_input rm_text">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
 	<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id'])  ); } else { echo $value['std']; } ?>" />
 <small><?php echo $value['desc']; ?></small><div class="clearfix"></div>

 </div>
<?php
break;

case 'textarea':
?>

<div class="rm_input rm_textarea">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
 	<textarea name="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id']) ); } else { echo $value['std']; } ?></textarea>
 <small><?php echo $value['desc']; ?></small><div class="clearfix"></div>

 </div>

<?php
break;

case 'select':
?>

<div class="rm_input rm_select">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>

<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option) { ?>
		<option <?php if (get_settings( $value['id'] ) == $option) { echo 'selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?>
</select>

	<small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
</div>
<?php
break;

case "checkbox":
?>

<div class="rm_input rm_checkbox">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>

<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />


	<small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
 </div>
<?php break;
case "section":

$i++;

?>

<div class="rm_section">
<div class="rm_title"><h3><img src="<?php bloginfo('template_directory')?>/includes/admin/images/trans.gif" class="inactive" alt="""><?php echo $value['name']; ?></h3><span class="submit"><input name="save<?php echo $i; ?>" type="submit" value="Save changes" />
</span><div class="clearfix"></div></div>
<div class="rm_options">


<?php break;

}
}
?>

<input type="hidden" name="action" value="save" />
</form>
<form method="post">
<p class="submit">
<input name="save" type="submit" value="Save changes" />
<input type="hidden" name="action" value="save" />
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>
 </div>


<?php
}
?>
<?php
add_action('admin_init', 'mytheme_add_init');
add_action('admin_menu', 'mytheme_add_admin');
?>